#!/bin/sh
########################################
######     Powered by LINUXSAT    ######
########################################
# der name wird auch als cam angezeigt im cam menu

CAMNAME="oscamicam"


remove_tmp () {
  rm -rf /tmp/cainfo.* /tmp/camd.* /tmp/sc.* /tmp/*.info* /tmp/*.tmp*
        [ -e /tmp/.emu.info ] && rm -rf /tmp/.emu.info
        [ -e /tmp/$CAMNAME.mem ] && rm -rf /tmp/$CAMNAME.mem
}

case "$1" in
  start)
  echo "[SCRIPT] $1: ${CAMNAME}"
  remove_tmp
  touch /tmp/.emu.info
  echo $CAMNAME > /tmp/.emu.info
  /usr/bin/$CAMNAME -b -r 2 -c /etc/tuxbox/config/$CAMNAME  &

  ;;
  stop)
  echo "[SCRIPT] $1: $CAMNAME"
  kill `pidof ncam`
  killall -9 $CAMNAME  2>/dev/null
  remove_tmp
  ;;
  restart)
  $0 stop
  sleep 2
  $0 start
  exit
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
